"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLoaders = exports.useConfig = exports.defineCommand = void 0;
const graphql_config_1 = require("graphql-config");
const load_1 = require("@graphql-tools/load");
function defineCommand(factory) {
    return factory;
}
exports.defineCommand = defineCommand;
function useConfig(options = {}) {
    return graphql_config_1.loadConfig({
        rootDir: process.cwd(),
        throwOnEmpty: true,
        throwOnMissing: true,
        ...options,
    });
}
exports.useConfig = useConfig;
function useLoaders({ loaders }) {
    return {
        loadDocuments(pointer, options) {
            return load_1.loadDocuments(pointer, { loaders, ...options });
        },
        loadSchema(pointer, options) {
            return load_1.loadSchema(pointer, { loaders, ...options });
        },
    };
}
exports.useLoaders = useLoaders;
//# sourceMappingURL=command.js.map