export declare type PathSegment = string | number;
export declare type PathSegments = readonly PathSegment[];
export declare type JsonStringPointer = string;
export declare type UriFragmentIdentifierPointer = string;
export declare type Pointer = JsonStringPointer | UriFragmentIdentifierPointer;
export interface JsonStringPointerListItem {
    readonly pointer: JsonStringPointer;
    readonly value: unknown;
}
export interface UriFragmentIdentifierPointerListItem {
    readonly fragmentId: UriFragmentIdentifierPointer;
    readonly value: unknown;
}
export declare type Decoder = (ptr: Pointer) => PathSegments;
export declare type Encoder = (ptr: PathSegments) => Pointer;
